curl --request POST \
--url https://mcp.echozero.app/api/v1/strategies \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-signature: <x-signature>' \
--header 'x-timestamp: <x-timestamp>' \
--data '
{
"status": "DRAFT",
"agentId": "507f1f77bcf86cd799439011"
}
'{
"success": true,
"data": {
"id": "<string>",
"name": "<string>",
"status": "<string>"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}Strategy
Create or update strategy
Mirrors GraphQL createOrUpdateBot.
Request body schema: McpCreateTradingBotBodyDto (alias of GraphQL CreateTradingBotInput). Use Examples for full payloads — nested condition/risk types are defined in apps/gql-main/src/tradingBot/inputs/createTradingBot.input.ts.
POST
/
api
/
v1
/
strategies
curl --request POST \
--url https://mcp.echozero.app/api/v1/strategies \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-signature: <x-signature>' \
--header 'x-timestamp: <x-timestamp>' \
--data '
{
"status": "DRAFT",
"agentId": "507f1f77bcf86cd799439011"
}
'{
"success": true,
"data": {
"id": "<string>",
"name": "<string>",
"status": "<string>"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}Authorizations
Headers
Required for API-key authenticated requests. HMAC-SHA256(secretKey, timestamp + METHOD + path + body) as lowercase hex. Omit only for JWT/OAuth session tokens or public routes.
Required with x-signature. Epoch milliseconds; rejected if drift exceeds 5 minutes. Omit only for JWT/OAuth session tokens or public routes.
Body
application/json
The body is of type object.